commit:     92e65665ad9bbea2dd569c875f43623d3e4a17e0
Author:     Austin English <wizardedit <AT> gentoo <DOT> org>
AuthorDate: Thu Jan 19 23:50:47 2017 +0000
Commit:     Austin English <wizardedit <AT> gentoo <DOT> org>
CommitDate: Fri Jan 20 01:09:19 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=92e65665

games-engines/residualvm: remove deprecated games eclass

Also update to EAPI 6

Gentoo-Bug: https://bugs.gentoo.org/574082

Package-Manager: Portage-2.3.2, Repoman-2.3.1

 .../residualvm/residualvm-0.2.1-r1.ebuild          | 82 ++++++++++++++++++++++
 1 file changed, 82 insertions(+)

diff --git a/games-engines/residualvm/residualvm-0.2.1-r1.ebuild 
b/games-engines/residualvm/residualvm-0.2.1-r1.ebuild
new file mode 100644
index 00000000..c3d0cd1
--- /dev/null
+++ b/games-engines/residualvm/residualvm-0.2.1-r1.ebuild
@@ -0,0 +1,82 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+inherit eutils toolchain-funcs gnome2-utils
+
+DESCRIPTION="A cross-platform 3D game interpreter for play LucasArts' 
LUA-based 3D adventures"
+HOMEPAGE="http://www.residualvm.org/";
+SRC_URI="mirror://sourceforge/${PN}/${P}-sources.tar.bz2"
+
+LICENSE="GPL-2 LGPL-2.1"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+# TODO: fix dynamic plugin support
+# games crash without media-libs/libsdl[alsa]
+RDEPEND="
+       media-libs/alsa-lib
+       media-libs/freetype:2
+       media-libs/libsdl[X,sound,alsa,joystick,opengl,video]
+       sys-libs/zlib
+       virtual/glu
+       virtual/opengl"
+DEPEND="${RDEPEND}"
+
+src_configure() {
+       # not an autotools script
+       # most configure options currently do nothing, verify on version bump 
!!!
+       # disable explicitly, otherwise we get unneeded linkage (some 
copy-paste build system)
+       ./configure \
+               --backend=sdl \
+               --disable-debug \
+               --disable-faad \
+               --disable-flac \
+               --disable-fluidsynth \
+               --disable-libunity \
+               --disable-mad \
+               --disable-sparkle \
+               --disable-translation \
+               --disable-tremor \
+               --disable-vorbis \
+               --docdir="/usr/share/doc/${PF}" \
+               --enable-all-engines \
+               --enable-release-mode \
+               --enable-zlib \
+               || die "configure failed"
+}
+
+src_compile() {
+       emake \
+               VERBOSE_BUILD=1 \
+               AR="$(tc-getAR) cru" \
+               RANLIB=$(tc-getRANLIB)
+}
+
+src_install() {
+       dobin residualvm
+
+       insinto "/usr/share/${PN}"
+       doins gui/themes/modern.zip dists/engine-data/residualvm-grim-patch.lab
+
+       doicon -s scalable icons/${PN}.svg
+       doicon -s 256 icons/${PN}.png
+       domenu dists/${PN}.desktop
+
+       doman dists/${PN}.6
+       dodoc AUTHORS README.md KNOWN_BUGS TODO
+}
+
+pkg_preinst() {
+       gnome2_icon_savelist
+}
+
+pkg_postinst() {
+       gnome2_icon_cache_update
+}
+
+pkg_postrm() {
+       gnome2_icon_cache_update
+}

Reply via email to